# $Revision: 1.24 $, $Date: 2010/11/03 22:56:20 $
%define 	module	TwistedCore

Summary:	Event-driven networking framework written in Python
Summary(pl.UTF-8):	Narzędzia do zdarzeniowego i rozproszonego programowania w Pythonie
Name:		python-%{module}
Version:	10.0.0
Release:	3
License:	LGPL
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Core/10.0/%{module}-%{version}.tar.bz2
# Source0-md5:	4c78f2ee9d5de3cc5b134d572cf0f074
Patch0:		%{name}-basedir-import.patch
URL:		http://www.twistedmatrix.com/
BuildRequires:	Zope-Interface
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	Zope-Interface
Requires:	python-Crypto
Requires:	python-devel-tools
%pyrequires_eq	python-modules
Obsoletes:	python-Twisted-web-resource-script < 2.0.0
Conflicts:	python-Twisted
Conflicts:	python-Twisted-ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An event-driven networking framework written in Python and licensed
under the LGPL. Twisted supports TCP, UDP, SSL/TLS, multicast, Unix
sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC,
FTP, and others), and much more.

%description -l pl.UTF-8
Narzędzia i biblioteki do budowania rozproszonych aplikacji sieciowych
napisane w Pythonie i udostępnione na licencji LGPL. Twisted wspiera
TCP, UDP, SSL/TLS, multicast, gniazda uniksowe, sporą ilość protokołów
(w tym HTTP, NNTP, SSH, IRC, FTP i wiele innych), i dużo więcej.

%package examples
Summary:	Example programs for Twisted
Summary(pl.UTF-8):	Programy przykładowe do Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-Twisted-examples
Obsoletes:	python-Twisted-examples-sandbox < 2.0.0

%description examples
This package contains example programs for Twisted.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla Twisted.

%package ssl
Summary:	SSL module for Twisted
Summary(pl.UTF-8):	Moduł SSL dla Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pyOpenSSL
Obsoletes:	python-Twisted-ssl
Conflicts:	python-Twisted

%description ssl
This package contains SSL transport module for Twisted

%description ssl -l pl.UTF-8
Ten pakiet zawiera moduł SSL dla Twisted.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

# cleanup backups after patching
find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}
%{__python} setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
for dir in *; do
	[ ! -d "$dir/doc/examples" ] && continue
	cp -a "$dir/doc/examples/" "$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$dir"
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS NEWS README
%doc doc/{index.html,benchmarks,howto,img,specifications,upgrades}
%attr(755,root,root) %{_bindir}/manhole
%attr(755,root,root) %{_bindir}/mktap
%attr(755,root,root) %{_bindir}/pyhtmlizer
# %attr(755,root,root) %{_bindir}/t-im
%attr(755,root,root) %{_bindir}/tap2deb
%attr(755,root,root) %{_bindir}/tap2rpm
%attr(755,root,root) %{_bindir}/tapconvert
%attr(755,root,root) %{_bindir}/trial
%attr(755,root,root) %{_bindir}/twistd
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif
%dir %{py_sitedir}/twisted
%{py_sitedir}/twisted/*.py[co]
%{py_sitedir}/twisted/application
%{py_sitedir}/twisted/cred
%{py_sitedir}/twisted/enterprise
%{py_sitedir}/twisted/internet
%{py_sitedir}/twisted/manhole
%{py_sitedir}/twisted/persisted
%{py_sitedir}/twisted/protocols
%{py_sitedir}/twisted/python
%{py_sitedir}/twisted/scripts
%{py_sitedir}/twisted/spread
%{py_sitedir}/twisted/tap
%{py_sitedir}/twisted/test
%{py_sitedir}/twisted/trial
%dir %{py_sitedir}/twisted/plugins
%{py_sitedir}/twisted/plugins/__*.py[co]
%{py_sitedir}/twisted/plugins/twisted_ftp.py[co]
%{py_sitedir}/twisted/plugins/twisted_inet.py[co]
%{py_sitedir}/twisted/plugins/twisted_manhole.py[co]
%{py_sitedir}/twisted/plugins/twisted_portforward.py[co]
%{py_sitedir}/twisted/plugins/twisted_reactors.py[co]
%{py_sitedir}/twisted/plugins/twisted_socks.py[co]
%{py_sitedir}/twisted/plugins/twisted_telnet.py[co]
%{py_sitedir}/twisted/plugins/twisted_trial.py[co]
%{py_sitedir}/twisted/plugins/twisted_qtstub.py[co]
%{py_sitedir}/twisted/plugins/cred_*.py[co]
%exclude %{py_sitedir}/twisted/internet/ssl.py[co]
%{_mandir}/man1/manhole.1*
%{_mandir}/man1/mktap.1*
%{_mandir}/man1/pyhtmlizer.1*
%{_mandir}/man1/tap2deb.1*
%{_mandir}/man1/tap2rpm.1*
%{_mandir}/man1/tapconvert.1*
%{_mandir}/man1/trial.1*
%{_mandir}/man1/twistd.1*

%files ssl
%defattr(644,root,root,755)
%{py_sitedir}/twisted/internet/ssl.py[co]

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TwistedCore.spec,v $
Revision 1.24  2010/11/03 22:56:20  shadzik
- rel 3

Revision 1.23  2010/07/08 08:42:44  arekm
- release 2

Revision 1.22  2010/03/09 12:51:06  patrys
- 10.0.0

Revision 1.21  2009/04/14 06:12:56  glen
- egg-info cond

Revision 1.20  2009/04/14 06:09:38  glen
- ah, c'mon, don't package backup .orig from patching

Revision 1.19  2009/04/07 15:39:05  uzsolt
- 8.2.0

Revision 1.18  2009/03/13 15:34:31  hawk
- release 2

Revision 1.17  2008/11/21 18:35:45  charles
- BR: rpm-pythonprov

Revision 1.16  2008/10/04 22:04:35  wiget
- updated to 8.1.0

Revision 1.15  2008/10/03 18:02:37  arekm
- release 4

Revision 1.14  2008/09/19 18:02:38  patrys
- Zope-Interface obsoleted ZopeInterface
- rel 3

Revision 1.13  2008/09/01 14:49:47  blues
- rel.2

Revision 1.12  2008/05/02 18:50:07  luzik
- updated to 8.0.1

Revision 1.11  2007-07-23 18:31:23  qboosh
- unified

Revision 1.10  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.8  2007/01/28 15:19:16  qboosh
- unified

Revision 1.7  2007/01/28 15:18:09  qboosh
- python epoch

Revision 1.6  2007/01/27 23:02:05  arekm
- up to 2.5.0

Revision 1.5  2006/09/26 22:49:33  wrobell
- rel. 0.3 to rebuild with python 2.5 (final)

Revision 1.4  2006/08/28 12:26:09  arekm
- rel 0.2

Revision 1.3  2006/06/03 23:36:41  qboosh
- -examples Obsoletes: python-Twisted-examples

Revision 1.2  2006/06/02 15:55:51  wiget
- main C: old ssl module, ssl subpackage O: old ssl module

Revision 1.1  2006/05/29 14:22:31  wiget
- based on python-Twisted.spec
